﻿using UnityEngine;

public class FireworkManager : MonoBehaviour
{
    public GameObject FireworkFX_1,
                      FireworkFX_2;
    public float timeout;
    private float elapsed;
    
    private void OnEnable()
    {
        FireworkFX_1.SetActive(true);
        FireworkFX_2.SetActive(true);
    }

    private void OnDisable()
    {
        timeout = 0;
        elapsed = 0;

        FireworkFX_1.SetActive(false);
        FireworkFX_2.SetActive(false);
    }

    private void Update()
    {
        elapsed += Time.deltaTime;
        if (elapsed >= timeout)
            gameObject.SetActive(false);
    }
}