﻿using TrackAnalysis;
using UnityEngine;
using UnityEngine.SceneManagement;

public class GameManager : MonoBehaviour {
    private static GameManager instance;
    public static GameManager Instance
    {
        get
        {
            if (instance == null)
            {
                instance = FindObjectOfType(typeof(GameManager))
                    as GameManager;
                if (instance == null)
                    instance = new GameObject().AddComponent<GameManager>();
                
            }

            return instance;
        }
    }

    // Use this for initialization
    void Start()
    {
        DontDestroyOnLoad(Instance);
    }
}
